Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUIFontBitmap Class Reference

Font interface. More...

`#include <IGUIFontBitmap.h>`

Inheritance diagram for irr::gui::IGUIFontBitmap:

List of all members.

## Public Member Functions
virtual s32 | getKerningWidth (const wchar_t *thisLetter=0, const wchar_t *previousLetter=0) const =0
| Gets kerning values (distance between letters) for the font. If no parameters are provided,.
virtual IGUISpriteBank * | getSpriteBank () const =0
| returns the parsed Symbol Information
virtual u32 | getSpriteNoFromChar (const wchar_t *c) const =0
| returns the sprite number from a given character
virtual EGUI_FONT_TYPE | getType () const
| Returns the type of this font.

## Detailed Description

Font interface.

Definition at line 17 of file IGUIFontBitmap.h.

## Member Function Documentation

virtual s32 irr::gui::IGUIFontBitmap::getKerningWidth | ( | const wchar_t * | thisLetter = `0`,
|  | const wchar_t * | previousLetter = `0` |
| ) |  |  | const`[pure virtual]`

Gets kerning values (distance between letters) for the font. If no parameters are provided,.

the global kerning distance is returned.

Parameters:

  | thisLetter,: | If this parameter is provided, the left side kerning for this letter is added to the global kerning value. For example, a space might only be one pixel wide, but it may be displayed as several pixels.
  | previousLetter,: | If provided, kerning is calculated for both letters and added to the global kerning value. For example, EGFT_BITMAP will add the right kerning value of previousLetter to the left side kerning value of thisLetter, then add the global value.

Implements irr::gui::IGUIFont.

virtual IGUISpriteBank* irr::gui::IGUIFontBitmap::getSpriteBank | ( |  | ) | const`[pure virtual]`

returns the parsed Symbol Information

virtual u32 irr::gui::IGUIFontBitmap::getSpriteNoFromChar | ( | const wchar_t * | c | ) | const`[pure virtual]`

returns the sprite number from a given character

virtual EGUI_FONT_TYPE irr::gui::IGUIFontBitmap::getType | ( |  | ) | const`[inline, virtual]`

Returns the type of this font.

Reimplemented from irr::gui::IGUIFont.

Definition at line 22 of file IGUIFontBitmap.h.

References irr::gui::EGFT_BITMAP.

The documentation for this class was generated from the following file:

- IGUIFontBitmap.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:11 2010 by Doxygen (1.5.6)